part of '../../../../moru_payment_gateway.dart';

class MoruSDKLauncher extends StatefulWidget {
  final CheckoutOptions checkoutOptions;

  const MoruSDKLauncher({Key? key, required this.checkoutOptions})
      : super(key: key);

  @override
  _MoruSDKLauncherState createState() => _MoruSDKLauncherState();
}

class _MoruSDKLauncherState extends State<MoruSDKLauncher> {
  late CheckoutCubit _checkoutCubit;

  @override
  void initState() {
    super.initState();
    _checkoutCubit = CheckoutCubit()
      ..initiatePay(checkoutOptions: widget.checkoutOptions);
  }

  @override
  void dispose() {
    super.dispose();
    _checkoutCubit.close();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(

      body: BlocListener<CheckoutCubit, CheckoutState>(
        bloc: _checkoutCubit,
        listener: (context, state) {
          if (state is ValidateAccessLoading) {
            showDialog(
                context: context,
                builder: (context) {
                  return Center(
                    child: Column(
                      children: [
                        SizedBox(
                            height: 50,
                            width: 50,
                            child: CircularProgressIndicator()),
                      ],
                    ),
                  );
                });
          }
          if (state is ValidateAccessSuccess) {
            if (state.accessRes.accessData != null) {
              Navigator.of(context).pop();
              Navigator.of(context).push(
                MaterialPageRoute(
                  builder: (context) => MoRuPaymentCard(
                      amount: widget.checkoutOptions.amount,
                      accessKey: widget.checkoutOptions.accessKey,
                      validatedAccessRes: state.accessRes),
                ),
              );
            }
          } else if (state is ValidateAccessFail) {}
        },
        child: Center(
          child: CircularProgressIndicator(),
        ),
      ),
    );
  }
}
